/*******************************************************************************
 * Copyright (c) 2005 INRIA. 
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Eclipse Public License v1.0 
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors: 
 *     INRIA - Initial API and implementation
 *     
 ******************************************************************************/

package org.eclipse.gmt.am3.tools.ant.tasks.nestedelement;

/**
 * 
 * @author Freddy Allilaire
 *
 */
public class OutModel {

	protected String model;
	protected String name;
	protected String metamodel;
	protected String modelHandler;
    protected String path;
	
	public String getModelHandler() {
		return modelHandler;
	}

	public void setModelHandler(String modelHandler) {
		this.modelHandler = modelHandler;
	}

	public String getMetamodel() {
		return metamodel;
	}

	public void setMetamodel(String metamodel) {
		this.metamodel = metamodel;
	}

	public OutModel() {
		
	}

	public void setModel(String model) {
		this.model = model;
	}

	public String getModel() {
		return model;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

    /**
     * @param path The path to set.
     * @author Dennis Wagelaar <dennis.wagelaar@vub.ac.be>
     */
    public void setPath(String path) {
        this.path = path;
    }

    /**
     * @return Returns the path.
     * @author Dennis Wagelaar <dennis.wagelaar@vub.ac.be>
     */
    public String getPath() {
        return path;
    }
	
}
