/*******************************************************************************
 * Copyright (c) 2005 INRIA. 
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Eclipse Public License v1.0 
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors: 
 *     INRIA - Initial API and implementation
 *     
 ******************************************************************************/

package org.eclipse.gmt.am3.tools.ant.tasks.nestedelement;

import java.util.HashMap;
import java.util.Map;

/**
 * 
 * @author Freddy Allilaire
 *
 */
public class Extractor {

	protected String name;
	private Map params = new HashMap();
	
	public Extractor() {
		
	}

	public void addConfiguredParam(Param p) {
		params.put(p.name, p.value);
	}
	
	public String getParam(String name) {
		return (String)params.get(name);
	}
	
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Map getParams() {
		return params;
	}

}
